Skip to main content
`Ctrl`+`K`

# PetscDrawBarSetFromOptions

Sets options related to the display of the `PetscDrawBar`

## Synopsis

    #include "petscdraw.h"
    #include "petscviewer.h"
    PetscErrorCode PetscDrawBarSetFromOptions(PetscDrawBar bar)

Collective

## Input Parameter

- bar - the bar graph context

## Options Database Key

- -bar_sort - sort the entries before drawing the bar graph

## Note

Does not set options related to the underlying `PetscDraw` or `PetscDrawAxis`

## See Also

`PetscDrawBar`, `PetscDrawBarDestroy()`, `PetscDrawBarCreate()`, `PetscDrawBarSort()`

## Level

intermediate

## Location

src/sys/classes/draw/utils/bars.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages